Bug 1023110 - ksh stops on read when monitor mode is enabled
ksh stops on read when monitor mode is enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ksh (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Hlavinka
Martin Kyral
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 11:53 EDT by Michal Hlavinka
Modified: 2014-06-18 01:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: ksh-20120801-11.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1023109
Environment:
Last Closed: 2014-06-13 09:25:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2013-10-24 11:53:56 EDT
+++ This bug was initially created as a clone of Bug #1023109 +++

Version-Release number of selected component (if applicable):
ksh-20120801-10.el6

How reproducible:
always

Steps to Reproduce:
ksh -c 'set -m; /bin/echo before; read a; echo /bin/after'


Actual results:
before
[1]+  Stopped   ksh -c 'set -m; /bin/echo before; read a; echo /bin/after'

Expected results:
before
aaa<return>
after
Comment 3 Ludek Smid 2014-06-13 09:25:04 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.